# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'designer/wizard_add_host.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Wizard(object):
    def setupUi(self, Wizard):
        Wizard.setObjectName("Wizard")
        Wizard.resize(733, 442)
        Wizard.setWizardStyle(QtWidgets.QWizard.MacStyle)
        Wizard.setOptions(QtWidgets.QWizard.ExtendedWatermarkPixmap|QtWidgets.QWizard.HaveHelpButton|QtWidgets.QWizard.NoCancelButton)
        Wizard.setTitleFormat(QtCore.Qt.MarkdownText)
        self.DestinationPage = QtWidgets.QWizardPage()
        self.DestinationPage.setObjectName("DestinationPage")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.DestinationPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        spacerItem = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        self.verticalLayout_3.addItem(spacerItem)
        self.treeWidget = QtWidgets.QTreeWidget(self.DestinationPage)
        self.treeWidget.setObjectName("treeWidget")
        self.verticalLayout_3.addWidget(self.treeWidget)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.pushButton = QtWidgets.QPushButton(self.DestinationPage)
        self.pushButton.setObjectName("pushButton")
        self.horizontalLayout_2.addWidget(self.pushButton)
        self.pushButton_2 = QtWidgets.QPushButton(self.DestinationPage)
        self.pushButton_2.setObjectName("pushButton_2")
        self.horizontalLayout_2.addWidget(self.pushButton_2)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.pushButton_3 = QtWidgets.QPushButton(self.DestinationPage)
        self.pushButton_3.setObjectName("pushButton_3")
        self.horizontalLayout_2.addWidget(self.pushButton_3)
        self.verticalLayout_3.addLayout(self.horizontalLayout_2)
        spacerItem2 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        self.verticalLayout_3.addItem(spacerItem2)
        Wizard.addPage(self.DestinationPage)
        self.LanguagePage = QtWidgets.QWizardPage()
        self.LanguagePage.setObjectName("LanguagePage")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.LanguagePage)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        self.verticalLayout_5.addItem(spacerItem3)
        self.listWidget = QtWidgets.QListWidget(self.LanguagePage)
        self.listWidget.setObjectName("listWidget")
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        self.verticalLayout_5.addWidget(self.listWidget)
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem4)
        Wizard.addPage(self.LanguagePage)
        self.KeyboardPage = QtWidgets.QWizardPage()
        self.KeyboardPage.setObjectName("KeyboardPage")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.KeyboardPage)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        spacerItem5 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        self.verticalLayout_7.addItem(spacerItem5)
        self.listWidget_2 = QtWidgets.QListWidget(self.KeyboardPage)
        self.listWidget_2.setObjectName("listWidget_2")
        item = QtWidgets.QListWidgetItem()
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/flag-france.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        item.setIcon(icon)
        self.listWidget_2.addItem(item)
        item = QtWidgets.QListWidgetItem()
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/flag-usa.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        item.setIcon(icon1)
        self.listWidget_2.addItem(item)
        self.verticalLayout_7.addWidget(self.listWidget_2)
        self.checkBox = QtWidgets.QCheckBox(self.KeyboardPage)
        self.checkBox.setChecked(True)
        self.checkBox.setObjectName("checkBox")
        self.verticalLayout_7.addWidget(self.checkBox)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_7.addItem(spacerItem6)
        Wizard.addPage(self.KeyboardPage)
        self.AdministratorAccountPage = QtWidgets.QWizardPage()
        self.AdministratorAccountPage.setObjectName("AdministratorAccountPage")
        self.gridLayout = QtWidgets.QGridLayout(self.AdministratorAccountPage)
        self.gridLayout.setObjectName("gridLayout")
        self.lineEdit = QtWidgets.QLineEdit(self.AdministratorAccountPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit.sizePolicy().hasHeightForWidth())
        self.lineEdit.setSizePolicy(sizePolicy)
        self.lineEdit.setObjectName("lineEdit")
        self.gridLayout.addWidget(self.lineEdit, 1, 1, 1, 1)
        self.lineEdit_2 = QtWidgets.QLineEdit(self.AdministratorAccountPage)
        self.lineEdit_2.setObjectName("lineEdit_2")
        self.gridLayout.addWidget(self.lineEdit_2, 3, 1, 1, 1)
        self.lineEdit_3 = QtWidgets.QLineEdit(self.AdministratorAccountPage)
        self.lineEdit_3.setObjectName("lineEdit_3")
        self.gridLayout.addWidget(self.lineEdit_3, 5, 1, 1, 1)
        spacerItem7 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem7, 10, 1, 1, 1)
        self.lineEdit_4 = QtWidgets.QLineEdit(self.AdministratorAccountPage)
        self.lineEdit_4.setObjectName("lineEdit_4")
        self.gridLayout.addWidget(self.lineEdit_4, 7, 1, 1, 1)
        spacerItem8 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        self.gridLayout.addItem(spacerItem8, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 5, 0, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_5.setWordWrap(True)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 2, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 8, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_2.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 3, 0, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_4.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 7, 0, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_6.setWordWrap(True)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 4, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_7.setWordWrap(True)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 6, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.AdministratorAccountPage)
        self.label_10.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 9, 0, 1, 1)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.toolButton = QtWidgets.QToolButton(self.AdministratorAccountPage)
        self.toolButton.setObjectName("toolButton")
        self.horizontalLayout_3.addWidget(self.toolButton)
        self.toolButton_3 = QtWidgets.QToolButton(self.AdministratorAccountPage)
        self.toolButton_3.setObjectName("toolButton_3")
        self.horizontalLayout_3.addWidget(self.toolButton_3)
        self.gridLayout.addLayout(self.horizontalLayout_3, 9, 1, 1, 1)
        Wizard.addPage(self.AdministratorAccountPage)
        self.NetworkNamePage = QtWidgets.QWizardPage()
        self.NetworkNamePage.setObjectName("NetworkNamePage")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.NetworkNamePage)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_9 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_9.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 1, 0, 1, 1)
        self.lineEdit_5 = QtWidgets.QLineEdit(self.NetworkNamePage)
        self.lineEdit_5.setObjectName("lineEdit_5")
        self.gridLayout_3.addWidget(self.lineEdit_5, 3, 1, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_12.setWordWrap(True)
        self.label_12.setObjectName("label_12")
        self.gridLayout_3.addWidget(self.label_12, 2, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_11.setEnabled(False)
        self.label_11.setObjectName("label_11")
        self.gridLayout_3.addWidget(self.label_11, 1, 1, 1, 1)
        spacerItem9 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        self.gridLayout_3.addItem(spacerItem9, 0, 0, 1, 2)
        self.label_14 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_14.setWordWrap(True)
        self.label_14.setObjectName("label_14")
        self.gridLayout_3.addWidget(self.label_14, 4, 1, 1, 1)
        self.label_15 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_15.setObjectName("label_15")
        self.gridLayout_3.addWidget(self.label_15, 5, 0, 1, 1)
        spacerItem10 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem10, 7, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_13.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_13.setObjectName("label_13")
        self.gridLayout_3.addWidget(self.label_13, 3, 0, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.NetworkNamePage)
        self.label_16.setWordWrap(True)
        self.label_16.setObjectName("label_16")
        self.gridLayout_3.addWidget(self.label_16, 6, 1, 1, 1)
        self.lineEdit_6 = QtWidgets.QLineEdit(self.NetworkNamePage)
        self.lineEdit_6.setObjectName("lineEdit_6")
        self.gridLayout_3.addWidget(self.lineEdit_6, 5, 1, 1, 1)
        Wizard.addPage(self.NetworkNamePage)

        self.retranslateUi(Wizard)
        self.listWidget.setCurrentRow(0)
        QtCore.QMetaObject.connectSlotsByName(Wizard)

    def retranslateUi(self, Wizard):
        _translate = QtCore.QCoreApplication.translate
        Wizard.setWindowTitle(_translate("Wizard", "Galaxie Clans Assistant"))
        self.DestinationPage.setTitle(_translate("Wizard", "<H1>Destination</H1>"))
        self.DestinationPage.setSubTitle(_translate("Wizard", "The Galaxie Clans Server Assistant needs to know which servers to set up. You can use the table below to select servers on your subnet. If you want to setup a server that is not in the list, click Add and enter the server\'s information. You\'ll also need to supply the preset passwords for the servers you are setting up."))
        self.treeWidget.headerItem().setText(0, _translate("Wizard", "Apply"))
        self.treeWidget.headerItem().setText(1, _translate("Wizard", "Host"))
        self.treeWidget.headerItem().setText(2, _translate("Wizard", "Hostname"))
        self.treeWidget.headerItem().setText(3, _translate("Wizard", "Port"))
        self.treeWidget.headerItem().setText(4, _translate("Wizard", "User"))
        self.treeWidget.headerItem().setText(5, _translate("Wizard", "Password"))
        self.treeWidget.headerItem().setText(6, _translate("Wizard", "IdentityFile"))
        self.pushButton.setText(_translate("Wizard", "Add"))
        self.pushButton_2.setText(_translate("Wizard", "Remove"))
        self.pushButton_3.setText(_translate("Wizard", "Refresh List"))
        self.LanguagePage.setTitle(_translate("Wizard", "<H1>Language</H1>"))
        self.LanguagePage.setSubTitle(_translate("Wizard", "The language you choose will be the default language on the server you are setting up. The server will be able to support clients and administration in multiple languages."))
        __sortingEnabled = self.listWidget.isSortingEnabled()
        self.listWidget.setSortingEnabled(False)
        item = self.listWidget.item(0)
        item.setText(_translate("Wizard", "Use English to adminster the server"))
        item = self.listWidget.item(1)
        item.setText(_translate("Wizard", "Utiliser le francais pour l\'administration du serveur"))
        self.listWidget.setSortingEnabled(__sortingEnabled)
        self.KeyboardPage.setTitle(_translate("Wizard", "<H1>Keyboard</H1>"))
        self.KeyboardPage.setSubTitle(_translate("Wizard", "Choose the keyboard layout for the server."))
        __sortingEnabled = self.listWidget_2.isSortingEnabled()
        self.listWidget_2.setSortingEnabled(False)
        item = self.listWidget_2.item(0)
        item.setText(_translate("Wizard", "French"))
        item = self.listWidget_2.item(1)
        item.setText(_translate("Wizard", "U.S."))
        self.listWidget_2.setSortingEnabled(__sortingEnabled)
        self.checkBox.setText(_translate("Wizard", "Show All"))
        self.AdministratorAccountPage.setTitle(_translate("Wizard", "<H1>Administrator Account</H!>"))
        self.AdministratorAccountPage.setSubTitle(_translate("Wizard", "Create a account to administer this server."))
        self.label_3.setText(_translate("Wizard", "Password:"))
        self.label_5.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">Examples: Administrator or Mary Leblanc</span></p></body></html>"))
        self.label_8.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">Re-enter password</span></p></body></html>"))
        self.label.setText(_translate("Wizard", "Name:"))
        self.label_2.setText(_translate("Wizard", "Shortname:"))
        self.label_4.setText(_translate("Wizard", "Verify:"))
        self.label_6.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">Examples: admin or m_leblanc</span></p></body></html>"))
        self.label_7.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">Used as administrator and System administrator (root) login password</span></p></body></html>"))
        self.label_10.setText(_translate("Wizard", "SSH Key"))
        self.toolButton.setText(_translate("Wizard", "Create Key pair"))
        self.toolButton_3.setText(_translate("Wizard", "Import Key pair"))
        self.NetworkNamePage.setTitle(_translate("Wizard", "<H1>Network Name</H1>"))
        self.NetworkNamePage.setSubTitle(_translate("Wizard", "This information is needed to configure you server to be accessed over the network"))
        self.label_9.setText(_translate("Wizard", "Host Name:"))
        self.label_12.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">Click help button for details</span></p></body></html>"))
        self.label_11.setText(_translate("Wizard", "Set automatically"))
        self.label_14.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">The hostname from the inventory configuration or the hosts file<br/>Examples: super42 or superclans</span></p></body></html>"))
        self.label_15.setText(_translate("Wizard", "Local hostname"))
        self.label_13.setText(_translate("Wizard", "Computer Name:"))
        self.label_16.setText(_translate("Wizard", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:super;\">The hostname defined in system configuration like /etc/hostname and match the output of uname -n and hostname</span></p></body></html>"))
from clanskeeper import qressources_rc
